Subject: RE: RFC : 3036 : Session establishment for multiple adjacencies.

From: "Sharma, Prem" <[email-masked]>
Date: Wed, 18 Jul 2001 22:58:37 -0700

Hi Vikas,

As Chetan has also correctly pointed out in his mail that transport address
plays a vital role in establishing "active"/"passive" relationship between
nodes and establishment of TCP connection. The lines you mentioned should be
read in totality with reference to transport address.  

As the Transport addresses are going to be the same, carried in each hello
over each adjacency, each adjacency would be aware which is the active (or
passive) node. Otherwise, for some adjacencies, the node might have acted as
active and for others, the node have acted passive - slightly
unmanageable/un-necessary complex situation. 

Prem

-----Original Message-----
From: Vikas D [mailto:[email-masked]]
Sent: Wednesday, July 18, 2001 8:55 PM
To: Sharma, Prem
Cc: [email-masked]; [email-masked]
Subject: RE: RFC : 3036 : Session establishment for multiple
adjacencies.

Prem,

That's what my question is.  We both agree that if the LDP identifier
is same, there needs to be one session.  Then, why does the LDP RFC
talk about trying to establish multiple sessions for two LSRs linked
by multiple Hello adjacencies using the same label spaces.  Read the
following line carefully:

"This requirement ensures that two LSRs linked by multiple Hello
adjacencies using the same label spaces play the same connection
establishment role for each adjacency."

I was thinking about it and the only reason (it is a very good reason
though) I could think of was to take care of the race condition that
may arise when both the transport addresses on the hello adjacencies
are different and each of them acts as master for one of the
adjacencies.

Hope I got it right.

Thanks
- Vikas

--- "Sharma, Prem" <[email-masked]> wrote:
> Hi Vikas,
> 
> TCP connections are established between peer sessions and there
> could be
> multiple adjacencies under per session. The very fact the multiple
> adjacencies are control of one session implies that hellos sent
> over the
> adjacencies have the same LDP identifier. Irrespective of the no.
> of
> adjacencies, one TCP connection is good enough between peer
> sessions. If
> there is a one to one mapping between the physical interfaces of
> the machine
> and hello adjacencies, the label exchanged are applicable for all
> the
> interfaces under the control of session.
> 
> Hope it clarifies.
> Prem
> 
> 
> 
> -----Original Message-----
> From: Vikas D [mailto:[email-masked]]
> Sent: Wednesday, July 18, 2001 11:48 AM
> To: [email-masked]; [email-masked]
> Subject: Re: RFC : 3036 : Session establishment for multiple
> adjacencies.
> 
> 
> All,
> 
> A small doubt in Section 2.5.2, "Transport Connection
> Establishment"
> of LDP RFC.  It says:
> 
>              .............snip..................
>  "An LSR MUST advertise the same transport address in all Hellos
> that
>   advertise the same label space.  This requirement ensures that
> two
>   LSRs linked by multiple Hello adjacencies using the same label
> spaces
>   play the same connection establishment role for each adjacency."
>              .............snip....................
> 
> 
> 
> Now, under what circumstances would two LSRs, having multiple
> hello adjacencies , using same label spaces on all adjacencies
> try to establish multiple TCP sessions?
> 
> Is this not already precluded by the following rule in the same
> section (Sec 2.5.2 of RFC 3036):
> 
>              .............snip..................
>  "  1. If LSR1 does not already have an LDP session for the
> exchange
>        of label spaces LSR1:a and LSR2:b it attempts to open a TCP
>        connection for a new LDP session with LSR2."
>              .............snip..................
> 
> 
> Thanks
> - Vikas
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Get personalized email addresses from Yahoo! Mail
> http://personal.mail.yahoo.com/
> 
> 

__________________________________________________
Do You Yahoo!?
Get personalized email addresses from Yahoo! Mail
http://personal.mail.yahoo.com/